LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
DefaultNumberingProvider Service Referencepublished

provides access to language dependent numbering types and supports formatting of those numberings. More...

`import"DefaultNumberingProvider.idl";`

Inheritance diagram for DefaultNumberingProvider:

## Additional Inherited Members
Public Member Functions inherited from XDefaultNumberingProvider
sequence < com::sun::star::container::XIndexAccess > | getDefaultOutlineNumberings ([in]com::sun::star::lang::Locale aLocale)
| provides access to outline numberings according to a given com::sun::star::lang::Locale. More...
sequence < com::sun::star::beans::PropertyValues > | getDefaultContinuousNumberingLevels ([in]com::sun::star::lang::Locale aLocale)
| provides access to outline numberings according to a given com::sun::star::lang::Locale. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to language dependent numbering types and supports formatting of those numberings.

The documentation for this service was generated from the following file:

- com/sun/star/text/DefaultNumberingProvider.idl